CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
TestSuiteBuilderContextBase Class Reference

Context used when creating test suite in HelperMacros. More...

`#include <TestSuiteBuilderContext.h>`

Inheritance diagram for TestSuiteBuilderContextBase:

## Public Member Functions

| TestSuiteBuilderContextBase (TestSuite &suite, const TestNamer &namer, TestFixtureFactory &factory)
| Constructs a new context. More...
virtual | ~TestSuiteBuilderContextBase ()
void | addTest (Test *test)
| Adds a test to the fixture suite. More...
std::string | getFixtureName () const
| Returns the fixture name. More...
std::string | getTestNameFor (const std::string &testMethodName) const
| Returns the name of the test for the specified method. More...
void | addProperty (const std::string &key, const std::string &value)
| Adds property pair. More...
const std::string | getStringProperty (const std::string &key) const
| Returns property value assigned to param key. More...

## Protected Types

typedef std::pair< std::string, std::string > | Property
typedef CppUnitVector< Property > | Properties

## Protected Member Functions

TestFixture * | makeTestFixture () const

## Protected Attributes

TestSuite & | m_suite
const TestNamer & | m_namer
TestFixtureFactory & | m_factory

## Private Attributes

Properties | m_properties

## Detailed Description

Context used when creating test suite in HelperMacros.

Base class for all context used when creating test suite. The actual context type during test suite creation is TestSuiteBuilderContext.

See also
  CPPUNIT_TEST_SUITE, CPPUNIT_TEST_SUITE_ADD_TEST, CPPUNIT_TEST_SUITE_ADD_CUSTOM_TESTS.

## Member Typedef Documentation

typedef CppUnitVector<Property> TestSuiteBuilderContextBase::Properties

protected

typedef std::pair<std::string,std::string> TestSuiteBuilderContextBase::Property

protected

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestSuiteBuilderContextBase::TestSuiteBuilderContextBase | ( | TestSuite & | suite,
|  | const TestNamer & | namer,
|  | TestFixtureFactory & | factory
| ) |  |

Constructs a new context.

You should not use this. The context is created in CPPUNIT_TEST_SUITE().

TestSuiteBuilderContextBase::~TestSuiteBuilderContextBase | ( |  | ) |

virtual

## Member Function Documentation

void TestSuiteBuilderContextBase::addProperty | ( | const std::string & | key,
|  | const std::string & | value
| ) |  |

Adds property pair.

Parameters

  key | PropertyKey string to add.
  value | PropertyValue string to add.

void TestSuiteBuilderContextBase::addTest | ( | Test * | test | ) |

Adds a test to the fixture suite.

Parameters

  test | Test to add to the fixture suite. Must not be `NULL`.

std::string TestSuiteBuilderContextBase::getFixtureName | ( |  | ) | const

Returns the fixture name.

Returns
  Fixture name. It is the name used to name the fixture suite.

const std::string TestSuiteBuilderContextBase::getStringProperty | ( | const std::string & | key | ) | const

Returns property value assigned to param key.

Parameters

  key | PropertyKey string.

std::string TestSuiteBuilderContextBase::getTestNameFor | ( | const std::string & | testMethodName | ) | const

Returns the name of the test for the specified method.

Parameters

  testMethodName | Name of the method that implements a test.

Returns
  A string that is the concatenation of the test fixture name (returned by getFixtureName()) andtestMethodName, separated using '::'. This provides a fairly unique name for a given test.

TestFixture * TestSuiteBuilderContextBase::makeTestFixture | ( |  | ) | const

protected

## Member Data Documentation

TestFixtureFactory& TestSuiteBuilderContextBase::m_factory

protected

const TestNamer& TestSuiteBuilderContextBase::m_namer

protected

Properties TestSuiteBuilderContextBase::m_properties

private

TestSuite& TestSuiteBuilderContextBase::m_suite

protected

The documentation for this class was generated from the following files:

- TestSuiteBuilderContext.h
- TestSuiteBuilderContext.cpp

| hosts this site. |  | Send comments to: CppUnit Developers